import { baseRequest } from '@/utils/request'
const request = (url, ...arg) => baseRequest(`/openGovernment/ogDutyBasis/` + url, ...arg)
const request2 = (url, ...arg) => baseRequest(`/openGovernment/ogProactiveDisclosure/` + url, ...arg)
const request3 = (url, ...arg) => baseRequest(`/openGovernment/ogAdministrativePenalty/` + url, ...arg)
const request4 = (url, ...arg) => baseRequest(`/openGovernment/ogAdministrativeLicense/` + url, ...arg)
const request5 = (url, ...arg) => baseRequest(`/openGovernment/ogPlan/` + url, ...arg)
const request6 = (url, ...arg) => baseRequest(`/openGovernment/ogFinancialBudget/` + url, ...arg)

export default {
	// publicContentApi
	// ------------------履职依据接口----------------------
	// 列表
	basisPage(data) {
		return request('page', data, 'get')
	},
	//启用禁用delete
	basisType(data) {
		return request('enableAndDisable', data, 'post')
	},
	//add
	basisAdd(data) {
		return request('add', data, 'post')
	},
	//view
	basisView(data) {
		return request('detail', data, 'get')
	},
	// edit
	basisEdit(data) {
		return request('edit', data, 'post')
	},
	// 删除
	basisDel(data) {
		return request('delete', data, 'post')
	},

	// -------------------主动公开文件----------------
	// 列表
	disclosurePage(data) {
		return request2('page', data, 'get')
	},
	//启用禁用delete
	disclosureType(data) {
		return request2('enableAndDisable', data, 'post')
	},
	//add
	disclosureAdd(data) {
		return request2('add', data, 'post')
	},
	//view
	disclosureView(data) {
		return request2('detail', data, 'get')
	},
	// edit
	disclosureEdit(data) {
		return request2('edit', data, 'post')
	},
	// 删除
	disclosureDel(data) {
		return request2('delete', data, 'post')
	},
	// ------------------行政处罚-----------------
	// 列表
	penaltyPage(data) {
		return request3('page', data, 'get')
	},
	//启用禁用delete
	penaltyType(data) {
		return request3('enableAndDisable', data, 'post')
	},
	//add
	penaltyAdd(data) {
		return request3('add', data, 'post')
	},
	//view
	penaltyView(data) {
		return request3('detail', data, 'get')
	},
	// edit
	penaltyEdit(data) {
		return request3('edit', data, 'post')
	},
	// 删除
	penaltyDel(data) {
		return request3('delete', data, 'post')
	},
	// -----------------行政许可----------------
	// 列表
	licensePage(data) {
		return request4('page', data, 'get')
	},
	//启用禁用delete
	licenseType(data) {
		return request4('enableAndDisable', data, 'post')
	},
	//add
	licenseAdd(data) {
		return request4('add', data, 'post')
	},
	//view
	licenseView(data) {
		return request4('detail', data, 'get')
	},
	// edit
	licenseEdit(data) {
		return request4('edit', data, 'post')
	},
	// 删除
	licenseDel(data) {
		return request4('delete', data, 'post')
	},
	// -------------------规划计划-----------------
	// 列表
	planPage(data) {
		return request5('page', data, 'get')
	},
	//启用禁用delete
	planTypeData(data) {
		return request5('enableAndDisable', data, 'post')
	},
	//add
	planAdd(data) {
		return request5('add', data, 'post')
	},
	//view
	planView(data) {
		return request5('detail', data, 'get')
	},
	// edit
	planEdit(data) {
		return request5('edit', data, 'post')
	},
	// 删除
	planDel(data) {
		return request5('delete', data, 'post')
	},
	// -------------------财政预决算-----------------
	// 列表
	budgetPage(data) {
		return request6('page', data, 'get')
	},
	//启用禁用delete
	budgetType(data) {
		return request6('enableAndDisable', data, 'post')
	},
	//add
	budgetAdd(data) {
		return request6('add', data, 'post')
	},
	//view
	budgetView(data) {
		return request6('detail', data, 'get')
	},
	// edit
	budgetEdit(data) {
		return request6('edit', data, 'post')
	},
	// 删除
	budgetDel(data) {
		return request6('delete', data, 'post')
	}
}
